Good news, jailbreakers – an unlock solution is now available for the iPhone 4 and iPhone 3GS, which is compatible with Apple’s recently released iOS 5.1 software update. The package (which is available now in Cydia) corrects the iPhone Dev-Team’s ultrasn0w unlock, and can be downloaded for free.

The package, “ultrasn0w fixer for 5.1,” isn’t available to download via the default repositories, and jailbreakers instead must add the following address to their list of sources:¬†http://repo.iparelhos.com. Furthermore, the package doesn’t add support for additional iPhone basebands – just those already supported by the iPhone Dev-Team’s ultrasn0w, which are:

  • 01.59.00
  • 04.26.08
  • 05.11.07
  • 05.13.01
  • 05.12.01
  • 06.15.00

In order to unlock your iPhone under iOS 5.1, you’ll obviously need to jailbreak it first. Then, add the aforementioned repository in the Cydia app and search for “ultrasn0w fixer for 5.1.” Download this package, and then search for and download the iPhone Dev-Team’s ultrasn0w (1.2.5). You should have no problem installing the unlock tool and unlocking your handset once “ultrasn0w fixer” is on your iPhone.

The iPhone Dev-Team is expected to update ultrasn0w accordingly in a couple of days. If you don’t desperately need the unlock solution now, we would recommend you wait for the iPhone Dev-Team’s full solution. However, if that isn’t an option download and install ultrasn0w fixer, and you should be good to go.

[via Redmond Pie]